#ifndef FITSIMG2ASC_H
#define FITSIMG2ASC_H
/*
* MPIA - GEIRS project
*
* "@(#) $Id$"
*
*/

#include <string>
#include <vector>

/** The CCfits library contained in
* <a href="http://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits/"> CCfits 2.4</a>
*/
#include <CCfits/CCfits>

using namespace std ;
using namespace CCfits ;

/** 
* @since 2012-11-25
* @author Richard J. Mathar
*/
class FitsImg2Asc {

public:
	/** Name of the input file.
	*/
	vector<string> iname ;

	FitsImg2Asc(char *fitsInname) ;
	FitsImg2Asc(int argc, char *fitsInname[]) ;
	~FitsImg2Asc() ;

	void dump() ;
	void dump(int range[4], FITS * ifits) ;
	void dump(string range) ;

	void histo(int Nbin, double range[2], string detsize, const bool doLogHist,const string epsout, const string txtout) ;
	void badMask(double range[2], string detsize, const string fitsout,int flipxy, string txtout, bool iraf) ;

protected:

private:

} ; /* FitsImg2Asc */

#endif /* FITSIMG2ASC_H */
