#ifndef GEIRSPANIC_H
#define GEIRSPANIC_H
/*
* MPIA - GEIRS project
*
* "@(#) $Id$"
*
*/

#include <string>
#include <vector>

/** The CCfits library contained in
* <a href="http://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits/"> CCfits 2.4</a>
*/
#include <CCfits/CCfits>

#include "WindowSet.h"

using namespace std ;
using namespace CCfits ;

/** 
* @since 2012-10-23
* @author Richard J. Mathar
*/
class GeirsPanic {

public:
	/** Name of the input file. This may also be the stem of the window set, without the _win*.fits.
	*/
	string iname ;

	/** Name of the output file
	*/
	string oname ;

	/** The set of subwindows. This may be a simple single full frame.
	*/
	WindowSet ws ;

	GeirsPanic(char *fitsInname, const char *fitsOutname, int gap, int chpsz) ;
#if 0
	~GeirsPanic() ;
#endif

	void exec(bool doTrim, bool doMimax, double north , bool doflip, bool doaltaz, bool doGeo, bool verbose, bool remov) ;

	static void wgs84(const double lolatlat[3], double xyz[3]) ;

	static void altAzPar(double ha, double dec, double phi, double aap[3]) ;

	static double hex2deg(const string & hexstr, bool isdeg) ;

protected:
#if 0
	/** The FITS file that will be read/scanned.
	*/
	FITS * ifits ;
#endif

	/** The FITS file that will be created.
	*/
	FITS * ofits ;

private:

} ; /* GeirsPanic */

#endif /* GEIRSPANIC_H */
