#ifndef HISTOS_H
#define HISTOS_H
/*
* MPIA - GEIRS project
*
* "@(#) $Id$"
*
*/

// #include <string>
#include <vector>
#include <valarray>

#include "Histo.h"

using namespace std ;

/** 
* @since 2013-01-29
* @author Richard J. Mathar
*/
class Histos {

public:
	/** The smallest range of the first bin
	*/
	double strt ;

	/** The width of each bin
	*/
	double stride ;

        /** Some type of contents description
        */
        string contName ;

	vector<Histo> hs ;

	Histos() ;
	Histos( vector< valarray<float> >& arr, vector<string> & iname) ;
	Histos( vector< valarray<float> >& arr, const int Nbin, vector<string> & iname, string &contName) ;
	Histos( vector< valarray<float> >& arr, const int Nbin, vector<string> & iname, string &contName, double range[2]) ;

	void dumpFil(const char *fname) ;

	void gnuplot(const char *gplDfile, const char *gplfile, const bool doLogHist, string epsout) ;

	static void valRange( vector< valarray<float> > & arr, double mimax[2]) ;

	static int countRange( vector< valarray<float> > & arr) ;

protected:

private:
	void init( vector< valarray<float> > & arr, const int Nbin, const double * range, vector<string> & iname) ;

} ; /* Histos */

#endif /* HISTOS_H */
