#ifndef LINE2D_H
#define LINE2D_H
/*
* "$Header:$"
*
*/

/*
#include <string>
#include <vector>
*/

#include "Point2D.h"

using namespace std ;

/**
* @brief An oriented line section represented by the 2-dimensional coordinates of starting and terminating point.
* @since 2013-07-03
* @author Richard J. Mathar
*/
class Line2D {

public:
	/** The terminal points of start and end.
	*/
	Point2D pts[2] ;

	Line2D(const Point2D & strt, const Point2D & fini) ;
	Line2D() ;
	// ~Line2D() ;

	Point2D at(double t) const ;

	Point2D turn90() const ;

	bool leftFrom(const Point2D & pt) const ;

	Point2D intersectInf(const Line2D & oth) const ;

protected:

private:

} ; /* Line2D */

#endif /* LINE2D_H */

