#ifndef TRIA2D_H
#define TRIA2D_H
/*
* "$Header:$"
*
*/

#include <vector>

/* forward declaration needed because otherwise cyclic
* inclusion of Square2D.h and Tria2D.h.
*/
class Square2D ;

#include "Point2D.h"
#include "Line2D.h"
#include "Circle2D.h"

using namespace std ;

/**
* @brief A triangle represented by the Cartesian coordinates of its three vertices.
* @since 2013-07-03
* @author Richard J. Mathar
*/
class Tria2D {

public:
	/** The three points at the vertices.
	*/
	Point2D vert[3] ;

	Tria2D(const Point2D &pt1, const Point2D & pt2, const Point2D & pt3) ;
	Tria2D() ;
	// ~Tria2D() ;

	Line2D edge(int no) const ;

	double area() const ;

	Circle2D circumC() const ;

	vector<Tria2D> chop(const Line2D & lin) const ;
	vector<Tria2D> intersect(const Tria2D & oth) const ;
	vector<Tria2D> intersect(const Square2D & oth) const ;

protected:

private:

} ; /* Tria2D */

#endif /* TRIA2D_H */

